Highlighted

Invalid Bundle structure. Your app may contain only one executable file

New Here ,
Aug 08, 2014

Copy link to clipboard

Copied

Hi i have problem with uploading our game.

I have such list of errors:

Screenshot 2014-08-08 15.52.44.png

With newest flex sdk and air sdk. For now we have this error even on old builds that was already submitted and approved by apple ;(

Any ideas?

Correct answer by Pahup | Adobe Employee

Hi acidos,

Thank you for reporting the problem. Are you using any ANEs in the IPA? If yes, there is a possibility of ANE carrying an executable or static .a file. If you received the ANE from a third party, would it be possible for you to check with them?

We recently had a similar issue reported from another developer. The root of the problem was that their internal ANE contained several executable binaries, which contains a .a static library. The binaries inside their internal ANE weren’t necessary at runtime, so they removed them. For the external ANE, they tried a different version that didn’t have a static library inside and this fixed the problem. (They changed from version 2.1 to 2.3)

Thanks

-Pahup

TOPICS
Air beta

Views

1.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Invalid Bundle structure. Your app may contain only one executable file

New Here ,
Aug 08, 2014

Copy link to clipboard

Copied

Hi i have problem with uploading our game.

I have such list of errors:

Screenshot 2014-08-08 15.52.44.png

With newest flex sdk and air sdk. For now we have this error even on old builds that was already submitted and approved by apple ;(

Any ideas?

Correct answer by Pahup | Adobe Employee

Hi acidos,

Thank you for reporting the problem. Are you using any ANEs in the IPA? If yes, there is a possibility of ANE carrying an executable or static .a file. If you received the ANE from a third party, would it be possible for you to check with them?

We recently had a similar issue reported from another developer. The root of the problem was that their internal ANE contained several executable binaries, which contains a .a static library. The binaries inside their internal ANE weren’t necessary at runtime, so they removed them. For the external ANE, they tried a different version that didn’t have a static library inside and this fixed the problem. (They changed from version 2.1 to 2.3)

Thanks

-Pahup

TOPICS
Air beta

Views

1.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 08, 2014 1
New Here ,
Aug 11, 2014

Copy link to clipboard

Copied

Are you using the latest version(currently 2.9.1) of Application Loader?

Older versions seem to show such errors in error.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2014 0
New Here ,
Aug 11, 2014

Copy link to clipboard

Copied

i'm using:  Version 2.9.1 (441)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 11, 2014 0
Adobe Employee ,
Aug 13, 2014

Copy link to clipboard

Copied

Hi acidos,

Thank you for reporting the problem. Are you using any ANEs in the IPA? If yes, there is a possibility of ANE carrying an executable or static .a file. If you received the ANE from a third party, would it be possible for you to check with them?

We recently had a similar issue reported from another developer. The root of the problem was that their internal ANE contained several executable binaries, which contains a .a static library. The binaries inside their internal ANE weren’t necessary at runtime, so they removed them. For the external ANE, they tried a different version that didn’t have a static library inside and this fixed the problem. (They changed from version 2.1 to 2.3)

Thanks

-Pahup

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 13, 2014 1
Community Beginner ,
Aug 14, 2014

Copy link to clipboard

Copied

Same problem with my homeMade ANE (for advert) that i use in many project without problem.

I resolved the issue by removing the Xcode static librairy from my prodiver in my ANE compiling script. The static library is now only include in my Nativ Xcode project.

Hope it can help you (sorry for my English).

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 14, 2014 0
Explorer ,
Sep 02, 2014

Copy link to clipboard

Copied

I am having the exact same problem but my error refers to the CoreMobile extension from milkmangames.

"CoreMobileAPI.a"

Cannot submit an app update, using the latest SDK ( tried older one too but no dice ) and the latest version of Xcode/Application Loader.error.jpg

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 02, 2014 0
Explorer ,
Sep 02, 2014

Copy link to clipboard

Copied

Just to update: I have removed the CoreMobile extension and replaced it with another (that does the same thing) and it worked just fine now. I was able to submit to Apple.

I guess a lot of ANES will need updates.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 02, 2014 0
Explorer ,
Nov 11, 2014

Copy link to clipboard

Copied

I can't speak for anyone else but this was resolved months ago for CoreMobile.  If you are a Milkman Games customer and have this problem, please ensure you are using the latest versions of our plugins or contact our support email.

Alex

Milkman Games, LLC

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 11, 2014 0